<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     	   <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/jszip-2.5.0/dt-1.10.16/b-1.5.1/b-flash-1.5.1/b-html5-1.5.1/b-print-1.5.1/datatables.min.css"/>
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"/>
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"/>
 
   <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
     
		

   <h3 class="m-subheader__title ">Overtime Report<p><a href="guardforceclient.php" class="btn btn-danger" role="button">Return to Rostering</a></p>
<p><a href="RosteringReports.php" class="btn btn-danger" role="button">Return to Rostering Reports</a></p>

</h3>
  
 									
									<?php
									
		
  if (isset($_GET['id'])) {
		$_SESSION['id'] = stripslashes($_GET['id']);
	}
	$calendarid = $_SESSION['id'];




$userid = $_SESSION['UserID'];
		
if ($userid =='admin' ||$userid =='ravinesh'  ||$userid =='rajnal'  ||$userid =='pchand'  ||$userid =='sharukh' ){

		$sql4 =  "SELECT guardforceclient.sectors,sectors.name,
	               rosteringtimesheet.employeeid,
				   			 employeemaster.tin,
							  employeemaster.fnpf,
							  employeemaster.first_name,
							  employeemaster.last_name,
							  employeemaster.job_role,
							  employeemaster.department,
							  employeemaster.contract,
							  SUM(rosteringtimesheet.mon_total) as montotal,
							  SUM(rosteringtimesheet.tues_total) as tuestotal,
							  SUM(rosteringtimesheet.wed_total) as wedtotal,
							  SUM(rosteringtimesheet.thurs_total) as thurstotal,
							  SUM(rosteringtimesheet.fri_total) as fritotal,
							  SUM(rosteringtimesheet.sat_total) as sattotal,
							  SUM(rosteringtimesheet.sun_total) as suntotal,
							   SUM(rosteringtimesheet.mon2_total) as mon2total,
				             SUM(rosteringtimesheet.total_hrs) as totalhours
				   
						 
			FROM rostering 
			INNER JOIN rosteringtimesheet on rostering.rosterid = rosteringtimesheet.rosterid
			INNER JOIN guardforceclient on guardforceclient.clientid = rostering.clientid
			INNER JOIN sectors on sectors.id = guardforceclient.sectors
			INNER JOIN  employeemaster on rosteringtimesheet.employeeid = employeemaster.employeeid 
		
			
			where rostering.id = '" . $calendarid."'
			Group by  guardforceclient.sectors
			Order by  guardforceclient.sectors
			";
	$ErrMsg = _('This customer could not be added because');
			$result4 = DB_query($sql4,$ErrMsg);
	
			
//check contract details of each employee and see if they are on 9 hours and 8 hours



		
echo '<div class="table-responsive"><table id="projectreport" class="table">';
	echo '<thead> <tr class="info">
					
			<th>' . _('Sectors') . '</th>
			<th>' . _('Department') . '</th>
			<th>' . _('Total Hours') . '</th>
			<th>' . _('Normal Hours') . '</th>
			<th>' . _('Time and half Hours') . '</th>
			<th>' . _('double Hours') . '</th>
	   
			</thead></tr>';

		
				$grandtotalhours =0;
	$grandtotalnormal = 0;
	    $grandtotaltimehalf = 0;
	$grandtotaldouble = 0;
		while ($myrow4 = DB_fetch_array($result4)) {
		
			
			//do maths
			
			//first check if employee is on 9 or 8
			
			
			
			$contract = $myrow4['contract'];
			
		
			
			$nine =  9;
			if ($contract == $nine ) {
	
	
	
	if ( $myrow4['montotal'] <= '9')  {
		
		$monnormal = $myrow4['montotal'];
		$montimeandhalfhours = '0';
		$mondouble = '0';
		
     	}
	
		if (($myrow4['montotal'] > '9') &&($myrow4['montotal'] <= '13')) {
		
		$montimeandhalfhours = ($myrow4['montotal'] - '9');
		$monnormal = '9';
		$mondouble = '0';
		}
	
	
		if ( $myrow4['montotal'] >'13')  {
	  
	    $monnormal = '9';
		$montimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['montotal']- $monnormal );
	  	   
	    
	    $mondouble = $totalovertimehours - $montimeandhalfhours;
	  
	  
		}
	
	 if ( $myrow4['tuestotal'] <= '9')  {
		
		$tuesnormal = $myrow4['tuestotal'];
		$tuestimeandhalfhours = '0';
		$tuesdouble = '0';
		
     	}
	
		if (($myrow4['tuestotal'] > '9') &&($myrow4['tuestotal'] <= '13')) {
		
		$tuestimeandhalfhours = ($myrow4['tuestotal'] - '9');
		$tuesnormal = '9';
		$tuesdouble = '0';
		}
	
	
		if ($myrow4['tuestotal'] >'13')  {
	  
	    $tuesnormal = '9';
		$tuestimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['tuestotal'] - $tuesnormal );
	  	   
	    
	    $tuesdouble = $totalovertimehours - $tuestimeandhalfhours;
	  
	  
		}
		 if ( $myrow4['wedtotal'] <= '9')  {
		
		$wednormal = $myrow4['wedtotal'];
		$wedtimeandhalfhours = '0';
		$weddouble = '0';
		
     	}
	
		if (($myrow4['wedtotal'] > '9') &&($myrow4['wedtotal']<= '13')) {
		
		$wedtimeandhalfhours = ($myrow4['wedtotal']- '9');
		$wednormal = '9';
		$weddouble = '0';
		}
	
	
		if ( $myrow4['wedtotal']>'13')  {
	  
	    $wednormal = '9';
		$wedtimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['wedtotal'] - $wednormal );
	  	   
	    
	    $weddouble = $totalovertimehours - $wedtimeandhalfhours;
	  
	  
		}
		
		if ( $myrow4['thurstotal'] <= '9')  {
		
		$thursnormal = $myrow4['thurstotal'];
		$thurstimeandhalfhours = '0';
		$thursdouble = '0';
		
     	}
	
		if (($myrow4['thurstotal'] > '9') &&($myrow4['thurstotal'] <= '13')) {
		
		$thurstimeandhalfhours = ($myrow4['thurstotal'] - '9');
		$thursnormal = '9';
		$thursdouble = '0';
		}
	
	
		if ( $myrow4['thurstotal'] >'13')  {
	  
	    $thursnormal = '9';
		$thurstimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['thurstotal'] - $thursnormal );
	  	   
	    
	    $thursdouble = $totalovertimehours - $thurstimeandhalfhours;
	  
	  
		}
		
		
	 if ($myrow4['fritotal'] <= '9')  {
		
		$frinormal = $myrow4['fritotal'] ;
		$fritimeandhalfhours = '0';
		$fridouble = '0';
		
     	}
	
		if (($myrow4['fritotal']  > '9') &&($myrow4['fritotal']  <= '13')) {
		
		$fritimeandhalfhours = ($myrow4['fritotal']  - '9');
		$frinormal = '9';
		$fridouble = '0';
		}
	
	
		if ( $myrow4['fritotal']  >'13')  {
	  
	    $frinormal = '9';
		$fritimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['fritotal'] - $frinormal );
	  	   
	    
	    $fridouble = $totalovertimehours - $fritimeandhalfhours;
	  
	  
		}    
		if ($myrow4['sattotal']  <= '9')  {
		
		$satnormal = $myrow4['sattotal'] ;
		$sattimeandhalfhours = '0';
		$satdouble = '0';
		
     	}
	
		if (( $myrow4['sattotal'] > '9') &&($myrow4['sattotal']  <= '13')) {
		
		$sattimeandhalfhours = ($myrow4['sattotal'] - '9');
		$satnormal = '9';
		$satdouble = '0';
		}
	
	
		if ( $myrow4['sattotal']  >'13')  {
	  
	    $satnormal = '9';
		$sattimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['sattotal']  - $satnormal );
	  	   
	    
	    $satdouble = $totalovertimehours - $sattimeandhalfhours;
	  
	  
		}    
		if ( $myrow4['suntotal'] <= '9')  {
		
		$sunnormal = $myrow4['suntotal'];
		$suntimeandhalfhours = '0';
		$sundouble = '0';
		
     	}
	
		if (($myrow4['suntotal'] > '9') &&($myrow4['suntotal'] <= '13')) {
		
		$suntimeandhalfhours = ($myrow4['suntotal'] - '9');
		$sunnormal = '9';
		$sundouble = '0';
		}
	
	
		if ( $myrow4['suntotal'] >'13')  {
	  
	    $sunnormal = '9';
		$suntimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['suntotal'] - $sunnormal );
	  	   
	    
	    $sundouble = $totalovertimehours - $suntimeandhalfhours;
	  
	  
		} 
	if ( $myrow4['mon2total'] <= '9')  {
		
		$mon2normal = $myrow4['mon2total'];
		$mon2timeandhalfhours = '0';
		$mon2double = '0';
		
     	}
	
		if (($myrow4['mon2total'] > '9') &&($myrow4['mon2total'] <= '13')) {
		
		$mon2timeandhalfhours = ($myrow4['mon2total'] - '9');
		$mon2normal = '9';
		$mon2double = '0';
		}
	
	
		if ( $myrow4['mon2total'] >'13')  {
	  
	    $mon2normal = '9';
		$mon2timeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['mon2total']- $mon2normal );
	  	   
	    
	    $mon2double = $totalovertimehours - $mon2timeandhalfhours;
	  
	  
		}
	


 $totalhours = $myrow4['montotal']+$myrow4['tuestotal']+$myrow4['wedtotal']+$myrow4['thurstotal']+$myrow4['fritotal']+$myrow4['sattotal']+$myrow4['suntotal'] + $myrow4['mon2total'];
	

	
		
	$totalnormalhours = $monnormal +$tuesnormal+$wednormal+$thursnormal+$frinormal+$satnormal+$sunnormal + $mon2normal ;
	
	
	
	$totaltimeandhalf = $montimeandhalfhours + $tuestimeandhalfhours +$wedtimeandhalfhours+$thurstimeandhalfhours+$fritimeandhalfhours+$sattimeandhalfhours+$suntimeandhalfhours+$mon2timeandhalfhours;
	
	$totaldouble = $mondouble+$tuesdouble+$weddouble+$thursdouble+$fridouble+$satdouble+$sundouble+$mon2double;
	
	

	
	

	
	
}
	//calcualate payroll timesheet data if the contract for staffs is 9 hours a day and 5 days
elseif ($contract !== $nine ) {

if ($myrow4['montotal'] <= '8')  {
		
		$monnormal = $myrow4['montotal'];
		$montimeandhalfhours = '0';
		$mondouble = '0';
		
     	}
	
		if (($myrow4['montotal'] > '8') &&($myrow4['montotal'] <= '12')) {
		
		$montimeandhalfhours = ($myrow4['montotal'] - '8');
		$monnormal = '8';
		$mondouble = '0';
		}
	
	
		if ($myrow4['montotal'] > '12')  {
	  
	    $monnormal = '8';
		$montimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['montotal']- $monnormal );
	  	   
	    
	    $mondouble = $totalovertimehours - $montimeandhalfhours;
	  
	  
		}
	
	 if ($myrow4['tuestotal'] <= '8')  {
		
		$tuesnormal = $myrow4['tuestotal'];
		$tuestimeandhalfhours = '0';
		$tuesdouble = '0';
		
     	}
	
		if (($myrow4['tuestotal'] > '8') &&($myrow4['tuestotal'] <= '12')) {
		
		$tuestimeandhalfhours = ($myrow4['tuestotal'] - '8');
		$tuesnormal = '8';
		$tuesdouble = '0';
		}
	
	
		if ($myrow4['tuestotal'] >'12')  {
	  
	    $tuesnormal = '8';
		$tuestimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['tuestotal'] - $tuesnormal );
	  	   
	    
	    $tuesdouble = $totalovertimehours - $tuestimeandhalfhours;
	  
	  
		}
		 if ($myrow4['wedtotal'] <= '8')  {
		
		$wednormal = $myrow4['wedtotal'];
		$wedtimeandhalfhours = '0';
		$weddouble = '0';
		
     	}
	
		if (($myrow4['wedtotal'] > '8') &&($myrow4['wedtotal']<= '12')) {
		
		$wedtimeandhalfhours = ($myrow4['wedtotal']- '8');
		$wednormal = '8';
		$weddouble = '0';
		}
	
	
		if ($myrow4['wedtotal']>'12')  {
	  
	    $wednormal = '8';
		$wedtimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['wedtotal'] - $wednormal );
	  	   
	    
	    $weddouble = $totalovertimehours - $wedtimeandhalfhours;
	  
	  
		}
		
		if ($myrow4['thurstotal'] <= '8')  {
		
		$thursnormal = $myrow4['thurstotal'];
		$thurstimeandhalfhours = '0';
		$thursdouble = '0';
		
     	}
	
		if (($myrow4['thurstotal'] > '8') &&($myrow4['thurstotal'] <= '12')) {
		
		$thurstimeandhalfhours = ($myrow4['thurstotal'] - '8');
		$thursnormal = '8';
		$thursdouble = '0';
		}
	
	
		if ($myrow4['thurstotal'] >'12')  {
	  
	    $thursnormal = '8';
		$thurstimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['thurstotal'] - $thursnormal );
	  	   
	    
	    $thursdouble = $totalovertimehours - $thurstimeandhalfhours;
	  
	  
		}
		
		
	 if ($myrow4['fritotal'] <= '8')  {
		
		$frinormal = $myrow4['fritotal'] ;
		$fritimeandhalfhours = '0';
		$fridouble = '0';
		
     	}
	
		if (($myrow4['fritotal']  > '8') &&($myrow4['fritotal']  <= '12')) {
		
		$fritimeandhalfhours = ($myrow4['fritotal']  - '8');
		$frinormal = '8';
		$fridouble = '0';
		}
	
	
		if ($myrow4['fritotal']  >'12')  {
	  
	    $frinormal = '8';
		$fritimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['fritotal'] - $frinormal );
	  	   
	    
	    $fridouble = $totalovertimehours - $fritimeandhalfhours;
	  
	  
		}    
		if ($myrow4['sattotal']  <= '8')  {
		
		$satnormal = $myrow4['sattotal'] ;
		$sattimeandhalfhours = '0';
		$satdouble = '0';
		
     	}
	
		if (($myrow4['sattotal'] > '8') &&($myrow4['sattotal']  <= '12')) {
		
		$sattimeandhalfhours = ($myrow4['sattotal'] - '8');
		$satnormal = '8';
		$satdouble = '0';
		}
	
	
		if ($myrow4['sattotal']  >'12')  {
	  
	    $satnormal = '8';
		$sattimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['sattotal']  - $satnormal );
	  	   
	    
	    $satdouble = $totalovertimehours - $sattimeandhalfhours;
	  
	  
		}    
		if ($myrow4['suntotal'] <= '8')  {
		
		$sunnormal = $myrow4['suntotal'];
		$suntimeandhalfhours = '0';
		$sundouble = '0';
		
     	}
	
		if (($myrow4['suntotal'] > '8') &&($myrow4['suntotal'] <= '12')) {
		
		$suntimeandhalfhours = ($myrow4['suntotal'] - '8');
		$sunnormal = '8';
		$sundouble = '0';
		}
	
	
		if ($myrow4['suntotal'] >'12')  {
	  
	    $sunnormal = '8';
		$suntimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['suntotal'] - $sunnormal );
	  	   
	    
	    $sundouble = $totalovertimehours - $suntimeandhalfhours;
	  
	  
		}
	
if ($myrow4['mon2total'] <= '8')  {
		
		$mon2normal = $myrow4['mon2total'];
		$mon2timeandhalfhours = '0';
		$mon2double = '0';
		
     	}
	
		if (($myrow4['mon2total'] > '8') &&($myrow4['mon2total'] <= '12')) {
		
		$mon2timeandhalfhours = ($myrow4['mon2total'] - '8');
		$mon2normal = '8';
		$mondouble = '0';
		}
	
	
		if ($myrow4['mon2total'] > '12')  {
	  
	    $mon2normal = '8';
		$mon2timeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['mon2total']- $mon2normal );
	  	   
	    
	    $mon2double = $totalovertimehours - $mon2timeandhalfhours;
	  
	  
		}
		

 $totalhours = $myrow4['montotal']+$myrow4['tuestotal']+$myrow4['wedtotal']+$myrow4['thurstotal']+$myrow4['fritotal']+$myrow4['sattotal']+$myrow4['suntotal'] + $myrow4['mon2total'];
	

	
		
	$totalnormalhours = $monnormal +$tuesnormal+$wednormal+$thursnormal+$frinormal+$satnormal+$sunnormal + $mon2normal ;
	
	
	
	$totaltimeandhalf = $montimeandhalfhours + $tuestimeandhalfhours +$wedtimeandhalfhours+$thurstimeandhalfhours+$fritimeandhalfhours+$sattimeandhalfhours+$suntimeandhalfhours+$mon2timeandhalfhours;
	
	$totaldouble = $mondouble+$tuesdouble+$weddouble+$thursdouble+$fridouble+$satdouble+$sundouble+$mon2double;
	

	

      
       

		
}
			$sql77 =  "SELECT departmentname
						 
			FROM department  where departmentid ='" .$myrow4['department']."'
			";
	$ErrMsg = _('This customer could not be added because');
			$result77 = DB_query($sql77,$ErrMsg);
			
			$myrow77 = DB_fetch_array($result77);
			
			echo 		
			
			
			
			'<tr>
					
					<td>' .$myrow4['name'] . '</td>
					
					<td>' . $myrow77['departmentname']. '</td>
					<td>' . $myrow4['totalhours']. '</td>
					<td>' . $totalnormalhours. '</td>
					<td>' . $totaltimeandhalf. '</td>
					<td>' . $totaldouble. '</td>
			
				
					</tr>';
		
		
			$grandtotalhours = $grandtotalhours + $myrow4['totalhours'] ;
			$grandtotalnormal = $grandtotalnormal + $totalnormalhours;
	    $grandtotaltimehalf =   $grandtotaltimehalf + $totaltimeandhalf;
	$grandtotaldouble = $grandtotaldouble + $totaldouble;
			
		}
	echo 		
			
			
			
			'<tr><td > Total </td>
					 				
					<td></td>
					
					<td></td>
					
					<td>' . $grandtotalhours. '</td>
					<td>' . $grandtotalnormal. '</td>
					<td>' .  $grandtotaltimehalf . '</td>
					<td>' . $grandtotaldouble. '</td>
			
				
					</tr>';


//detailed one
echo '<div class="row"> <div class="col-sm-12" >';
		$totalovertime = $grandtotaltimehalf + $grandtotaldouble;
	$OT =  ($totalovertime/$grandtotalhours) * 100 ;
	echo "<h2>";
	echo "Overall Total Hours: ".$grandtotalhours. " Total Time and half hours: ".$grandtotaltimehalf." Total Double hours: ".$grandtotaldouble. " Total Overtime: ".$totalovertime." Overtime  %: ".round($OT,2)." %";
	echo "</h2>";
	echo '</div></div>';
	

echo '</div>';
  
 	echo '</div >';
}
elseif ($userid =='ilimo' ||$userid =='jokaveti'||$userid=='roster1'||$userid=='roster2'||$userid=='roster3' ){

			$sql4 =  "SELECT guardforceclient.sectors,sectors.name,
	               rosteringtimesheet.employeeid,
				   			 employeemaster.tin,
							  employeemaster.fnpf,
							  employeemaster.first_name,
							  employeemaster.last_name,
							  employeemaster.job_role,
							  employeemaster.department,
							  employeemaster.contract,
							  SUM(rosteringtimesheet.mon_total) as montotal,
							  SUM(rosteringtimesheet.tues_total) as tuestotal,
							  SUM(rosteringtimesheet.wed_total) as wedtotal,
							  SUM(rosteringtimesheet.thurs_total) as thurstotal,
							  SUM(rosteringtimesheet.fri_total) as fritotal,
							  SUM(rosteringtimesheet.sat_total) as sattotal,
							  SUM(rosteringtimesheet.sun_total) as suntotal,
							   SUM(rosteringtimesheet.mon2_total) as mon2total,
				             SUM(rosteringtimesheet.total_hrs) as totalhours
				   
						 
			FROM rostering 
			INNER JOIN rosteringtimesheet on rostering.rosterid = rosteringtimesheet.rosterid
			INNER JOIN guardforceclient on guardforceclient.clientid = rostering.clientid
			INNER JOIN sectors on sectors.id = guardforceclient.sectors
			INNER JOIN  employeemaster on rosteringtimesheet.employeeid = employeemaster.employeeid 
		
			
			where rostering.id = '" . $calendarid."'
			AND employeemaster.department = 1
			Group by  guardforceclient.sectors
			Order by  guardforceclient.sectors
			";
	$ErrMsg = _('This customer could not be added because');
			$result4 = DB_query($sql4,$ErrMsg);
	
			
//check contract details of each employee and see if they are on 9 hours and 8 hours



		
echo '<div class="table-responsive"><table id="projectreport" class="table">';
	echo '<thead> <tr class="info">
					
			<th>' . _('Sectors') . '</th>
			<th>' . _('Department') . '</th>
			<th>' . _('Total Hours') . '</th>
			<th>' . _('Normal Hours') . '</th>
			<th>' . _('Time and half Hours') . '</th>
			<th>' . _('double Hours') . '</th>
	   
			</thead></tr>';

		
				$grandtotalhours =0;
	$grandtotalnormal = 0;
	    $grandtotaltimehalf = 0;
	$grandtotaldouble = 0;
		while ($myrow4 = DB_fetch_array($result4)) {
		
			
			//do maths
			
			//first check if employee is on 9 or 8
			
			
			
			$contract = $myrow4['contract'];
			
		
			
			$nine =  9;
			if ($contract == $nine ) {
	
	
	
	if ( $myrow4['montotal'] <= '9')  {
		
		$monnormal = $myrow4['montotal'];
		$montimeandhalfhours = '0';
		$mondouble = '0';
		
     	}
	
		if (($myrow4['montotal'] > '9') &&($myrow4['montotal'] <= '13')) {
		
		$montimeandhalfhours = ($myrow4['montotal'] - '9');
		$monnormal = '9';
		$mondouble = '0';
		}
	
	
		if ( $myrow4['montotal'] >'13')  {
	  
	    $monnormal = '9';
		$montimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['montotal']- $monnormal );
	  	   
	    
	    $mondouble = $totalovertimehours - $montimeandhalfhours;
	  
	  
		}
	
	 if ( $myrow4['tuestotal'] <= '9')  {
		
		$tuesnormal = $myrow4['tuestotal'];
		$tuestimeandhalfhours = '0';
		$tuesdouble = '0';
		
     	}
	
		if (($myrow4['tuestotal'] > '9') &&($myrow4['tuestotal'] <= '13')) {
		
		$tuestimeandhalfhours = ($myrow4['tuestotal'] - '9');
		$tuesnormal = '9';
		$tuesdouble = '0';
		}
	
	
		if ($myrow4['tuestotal'] >'13')  {
	  
	    $tuesnormal = '9';
		$tuestimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['tuestotal'] - $tuesnormal );
	  	   
	    
	    $tuesdouble = $totalovertimehours - $tuestimeandhalfhours;
	  
	  
		}
		 if ( $myrow4['wedtotal'] <= '9')  {
		
		$wednormal = $myrow4['wedtotal'];
		$wedtimeandhalfhours = '0';
		$weddouble = '0';
		
     	}
	
		if (($myrow4['wedtotal'] > '9') &&($myrow4['wedtotal']<= '13')) {
		
		$wedtimeandhalfhours = ($myrow4['wedtotal']- '9');
		$wednormal = '9';
		$weddouble = '0';
		}
	
	
		if ( $myrow4['wedtotal']>'13')  {
	  
	    $wednormal = '9';
		$wedtimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['wedtotal'] - $wednormal );
	  	   
	    
	    $weddouble = $totalovertimehours - $wedtimeandhalfhours;
	  
	  
		}
		
		if ( $myrow4['thurstotal'] <= '9')  {
		
		$thursnormal = $myrow4['thurstotal'];
		$thurstimeandhalfhours = '0';
		$thursdouble = '0';
		
     	}
	
		if (($myrow4['thurstotal'] > '9') &&($myrow4['thurstotal'] <= '13')) {
		
		$thurstimeandhalfhours = ($myrow4['thurstotal'] - '9');
		$thursnormal = '9';
		$thursdouble = '0';
		}
	
	
		if ( $myrow4['thurstotal'] >'13')  {
	  
	    $thursnormal = '9';
		$thurstimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['thurstotal'] - $thursnormal );
	  	   
	    
	    $thursdouble = $totalovertimehours - $thurstimeandhalfhours;
	  
	  
		}
		
		
	 if ($myrow4['fritotal'] <= '9')  {
		
		$frinormal = $myrow4['fritotal'] ;
		$fritimeandhalfhours = '0';
		$fridouble = '0';
		
     	}
	
		if (($myrow4['fritotal']  > '9') &&($myrow4['fritotal']  <= '13')) {
		
		$fritimeandhalfhours = ($myrow4['fritotal']  - '9');
		$frinormal = '9';
		$fridouble = '0';
		}
	
	
		if ( $myrow4['fritotal']  >'13')  {
	  
	    $frinormal = '9';
		$fritimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['fritotal'] - $frinormal );
	  	   
	    
	    $fridouble = $totalovertimehours - $fritimeandhalfhours;
	  
	  
		}    
		if ($myrow4['sattotal']  <= '9')  {
		
		$satnormal = $myrow4['sattotal'] ;
		$sattimeandhalfhours = '0';
		$satdouble = '0';
		
     	}
	
		if (( $myrow4['sattotal'] > '9') &&($myrow4['sattotal']  <= '13')) {
		
		$sattimeandhalfhours = ($myrow4['sattotal'] - '9');
		$satnormal = '9';
		$satdouble = '0';
		}
	
	
		if ( $myrow4['sattotal']  >'13')  {
	  
	    $satnormal = '9';
		$sattimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['sattotal']  - $satnormal );
	  	   
	    
	    $satdouble = $totalovertimehours - $sattimeandhalfhours;
	  
	  
		}    
		if ( $myrow4['suntotal'] <= '9')  {
		
		$sunnormal = $myrow4['suntotal'];
		$suntimeandhalfhours = '0';
		$sundouble = '0';
		
     	}
	
		if (($myrow4['suntotal'] > '9') &&($myrow4['suntotal'] <= '13')) {
		
		$suntimeandhalfhours = ($myrow4['suntotal'] - '9');
		$sunnormal = '9';
		$sundouble = '0';
		}
	
	
		if ( $myrow4['suntotal'] >'13')  {
	  
	    $sunnormal = '9';
		$suntimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['suntotal'] - $sunnormal );
	  	   
	    
	    $sundouble = $totalovertimehours - $suntimeandhalfhours;
	  
	  
		} 
	if ( $myrow4['mon2total'] <= '9')  {
		
		$mon2normal = $myrow4['mon2total'];
		$mon2timeandhalfhours = '0';
		$mon2double = '0';
		
     	}
	
		if (($myrow4['mon2total'] > '9') &&($myrow4['mon2total'] <= '13')) {
		
		$mon2timeandhalfhours = ($myrow4['mon2total'] - '9');
		$mon2normal = '9';
		$mon2double = '0';
		}
	
	
		if ( $myrow4['mon2total'] >'13')  {
	  
	    $mon2normal = '9';
		$mon2timeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['mon2total']- $mon2normal );
	  	   
	    
	    $mon2double = $totalovertimehours - $mon2timeandhalfhours;
	  
	  
		}
	


 $totalhours = $myrow4['montotal']+$myrow4['tuestotal']+$myrow4['wedtotal']+$myrow4['thurstotal']+$myrow4['fritotal']+$myrow4['sattotal']+$myrow4['suntotal'] + $myrow4['mon2total'];
	

	
		
	$totalnormalhours = $monnormal +$tuesnormal+$wednormal+$thursnormal+$frinormal+$satnormal+$sunnormal + $mon2normal ;
	
	
	
	$totaltimeandhalf = $montimeandhalfhours + $tuestimeandhalfhours +$wedtimeandhalfhours+$thurstimeandhalfhours+$fritimeandhalfhours+$sattimeandhalfhours+$suntimeandhalfhours+$mon2timeandhalfhours;
	
	$totaldouble = $mondouble+$tuesdouble+$weddouble+$thursdouble+$fridouble+$satdouble+$sundouble+$mon2double;
	
	

	
	

	
	
}
	//calcualate payroll timesheet data if the contract for staffs is 9 hours a day and 5 days
elseif ($contract !== $nine ) {

if ($myrow4['montotal'] <= '8')  {
		
		$monnormal = $myrow4['montotal'];
		$montimeandhalfhours = '0';
		$mondouble = '0';
		
     	}
	
		if (($myrow4['montotal'] > '8') &&($myrow4['montotal'] <= '12')) {
		
		$montimeandhalfhours = ($myrow4['montotal'] - '8');
		$monnormal = '8';
		$mondouble = '0';
		}
	
	
		if ($myrow4['montotal'] > '12')  {
	  
	    $monnormal = '8';
		$montimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['montotal']- $monnormal );
	  	   
	    
	    $mondouble = $totalovertimehours - $montimeandhalfhours;
	  
	  
		}
	
	 if ($myrow4['tuestotal'] <= '8')  {
		
		$tuesnormal = $myrow4['tuestotal'];
		$tuestimeandhalfhours = '0';
		$tuesdouble = '0';
		
     	}
	
		if (($myrow4['tuestotal'] > '8') &&($myrow4['tuestotal'] <= '12')) {
		
		$tuestimeandhalfhours = ($myrow4['tuestotal'] - '8');
		$tuesnormal = '8';
		$tuesdouble = '0';
		}
	
	
		if ($myrow4['tuestotal'] >'12')  {
	  
	    $tuesnormal = '8';
		$tuestimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['tuestotal'] - $tuesnormal );
	  	   
	    
	    $tuesdouble = $totalovertimehours - $tuestimeandhalfhours;
	  
	  
		}
		 if ($myrow4['wedtotal'] <= '8')  {
		
		$wednormal = $myrow4['wedtotal'];
		$wedtimeandhalfhours = '0';
		$weddouble = '0';
		
     	}
	
		if (($myrow4['wedtotal'] > '8') &&($myrow4['wedtotal']<= '12')) {
		
		$wedtimeandhalfhours = ($myrow4['wedtotal']- '8');
		$wednormal = '8';
		$weddouble = '0';
		}
	
	
		if ($myrow4['wedtotal']>'12')  {
	  
	    $wednormal = '8';
		$wedtimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['wedtotal'] - $wednormal );
	  	   
	    
	    $weddouble = $totalovertimehours - $wedtimeandhalfhours;
	  
	  
		}
		
		if ($myrow4['thurstotal'] <= '8')  {
		
		$thursnormal = $myrow4['thurstotal'];
		$thurstimeandhalfhours = '0';
		$thursdouble = '0';
		
     	}
	
		if (($myrow4['thurstotal'] > '8') &&($myrow4['thurstotal'] <= '12')) {
		
		$thurstimeandhalfhours = ($myrow4['thurstotal'] - '8');
		$thursnormal = '8';
		$thursdouble = '0';
		}
	
	
		if ($myrow4['thurstotal'] >'12')  {
	  
	    $thursnormal = '8';
		$thurstimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['thurstotal'] - $thursnormal );
	  	   
	    
	    $thursdouble = $totalovertimehours - $thurstimeandhalfhours;
	  
	  
		}
		
		
	 if ($myrow4['fritotal'] <= '8')  {
		
		$frinormal = $myrow4['fritotal'] ;
		$fritimeandhalfhours = '0';
		$fridouble = '0';
		
     	}
	
		if (($myrow4['fritotal']  > '8') &&($myrow4['fritotal']  <= '12')) {
		
		$fritimeandhalfhours = ($myrow4['fritotal']  - '8');
		$frinormal = '8';
		$fridouble = '0';
		}
	
	
		if ($myrow4['fritotal']  >'12')  {
	  
	    $frinormal = '8';
		$fritimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['fritotal'] - $frinormal );
	  	   
	    
	    $fridouble = $totalovertimehours - $fritimeandhalfhours;
	  
	  
		}    
		if ($myrow4['sattotal']  <= '8')  {
		
		$satnormal = $myrow4['sattotal'] ;
		$sattimeandhalfhours = '0';
		$satdouble = '0';
		
     	}
	
		if (($myrow4['sattotal'] > '8') &&($myrow4['sattotal']  <= '12')) {
		
		$sattimeandhalfhours = ($myrow4['sattotal'] - '8');
		$satnormal = '8';
		$satdouble = '0';
		}
	
	
		if ($myrow4['sattotal']  >'12')  {
	  
	    $satnormal = '8';
		$sattimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['sattotal']  - $satnormal );
	  	   
	    
	    $satdouble = $totalovertimehours - $sattimeandhalfhours;
	  
	  
		}    
		if ($myrow4['suntotal'] <= '8')  {
		
		$sunnormal = $myrow4['suntotal'];
		$suntimeandhalfhours = '0';
		$sundouble = '0';
		
     	}
	
		if (($myrow4['suntotal'] > '8') &&($myrow4['suntotal'] <= '12')) {
		
		$suntimeandhalfhours = ($myrow4['suntotal'] - '8');
		$sunnormal = '8';
		$sundouble = '0';
		}
	
	
		if ($myrow4['suntotal'] >'12')  {
	  
	    $sunnormal = '8';
		$suntimeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['suntotal'] - $sunnormal );
	  	   
	    
	    $sundouble = $totalovertimehours - $suntimeandhalfhours;
	  
	  
		}
	
if ($myrow4['mon2total'] <= '8')  {
		
		$mon2normal = $myrow4['mon2total'];
		$mon2timeandhalfhours = '0';
		$mon2double = '0';
		
     	}
	
		if (($myrow4['mon2total'] > '8') &&($myrow4['mon2total'] <= '12')) {
		
		$mon2timeandhalfhours = ($myrow4['mon2total'] - '8');
		$mon2normal = '8';
		$mondouble = '0';
		}
	
	
		if ($myrow4['mon2total'] > '12')  {
	  
	    $mon2normal = '8';
		$mon2timeandhalfhours = '4';
	  
		$totalovertimehours = ($myrow4['mon2total']- $mon2normal );
	  	   
	    
	    $mon2double = $totalovertimehours - $mon2timeandhalfhours;
	  
	  
		}
		

 $totalhours = $myrow4['montotal']+$myrow4['tuestotal']+$myrow4['wedtotal']+$myrow4['thurstotal']+$myrow4['fritotal']+$myrow4['sattotal']+$myrow4['suntotal'] + $myrow4['mon2total'];
	

	
		
	$totalnormalhours = $monnormal +$tuesnormal+$wednormal+$thursnormal+$frinormal+$satnormal+$sunnormal + $mon2normal ;
	
	
	
	$totaltimeandhalf = $montimeandhalfhours + $tuestimeandhalfhours +$wedtimeandhalfhours+$thurstimeandhalfhours+$fritimeandhalfhours+$sattimeandhalfhours+$suntimeandhalfhours+$mon2timeandhalfhours;
	
	$totaldouble = $mondouble+$tuesdouble+$weddouble+$thursdouble+$fridouble+$satdouble+$sundouble+$mon2double;
	

	

      
       

		
}
			$sql77 =  "SELECT departmentname
						 
			FROM department  where departmentid ='" .$myrow4['department']."'
			";
	$ErrMsg = _('This customer could not be added because');
			$result77 = DB_query($sql77,$ErrMsg);
			
			$myrow77 = DB_fetch_array($result77);
			
			echo 		
			
			
			
			
			'<tr>
					
					<td>' .$myrow4['name'] . '</td>
					
					<td>' . $myrow77['departmentname']. '</td>
					<td>' . $myrow4['totalhours']. '</td>
					<td>' . $totalnormalhours. '</td>
					<td>' . $totaltimeandhalf. '</td>
					<td>' . $totaldouble. '</td>
			
				
					</tr>';
		
			$grandtotalhours = $grandtotalhours + $myrow4['totalhours'] ;
			$grandtotalnormal = $grandtotalnormal + $totalnormalhours;
	    $grandtotaltimehalf =   $grandtotaltimehalf + $totaltimeandhalf;
	$grandtotaldouble = $grandtotaldouble + $totaldouble;
			
		}
	echo 		
			
			
			
			'<tr><td > Total </td>
					 				
					<td></td>
					
					<td></td>
					
					<td>' . $grandtotalhours. '</td>
					<td>' . $grandtotalnormal. '</td>
					<td>' .  $grandtotaltimehalf . '</td>
					<td>' . $grandtotaldouble. '</td>
			
				
					</tr>';


//detailed one
echo '<div class="row"> <div class="col-sm-12" >';
		$totalovertime = $grandtotaltimehalf + $grandtotaldouble;
	$OT =  ($totalovertime/$grandtotalhours) * 100 ;
	echo "<h2>";
	echo "Overall Total Hours: ".$grandtotalhours. " Total Time and half hours: ".$grandtotaltimehalf." Total Double hours: ".$grandtotaldouble. " Total Overtime: ".$totalovertime." Overtime  %: ".round($OT,2)." %";
	echo "</h2>";
	echo '</div></div>';

echo '</div>';
  
 	echo '</div >';
}

echo '<div class="row"> <div class="col-sm-12" >';

//echo '<iframe src="Reporttimesheetsuva-GFS.php" height="400" width="100%">
  // alternative content for browsers which do not support iframe.
//</iframe>';		?>
										
						</div>

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<script>



	jQuery(document).ready(function() {
    $("#projectreport").DataTable( {
	fnRowCallback: function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
      if ( aData[6] > 48 )
      {
        $('td', nRow).css('background-color', '#f2dede' );
      }
       else if ( aData[6] == 48 )
      {
        $('td', nRow).css('background-color', '	#ffd480' );
      }
    
      
      else
      {
        $('td', nRow).css('background-color', '#e6ffe6');
      }
    },
		
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A4',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 12; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
		
		
    } );
		
		$("#projectreport2").DataTable( {
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A4',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 12; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
    } );
	
		$("#projectreport3").DataTable( {
        dom: 'Bfrtip',
        buttons: [
           
		{
                extend: 'pdfHtml5',
                orientation: 'landscape',
			pageSize: 'A3',
			
			
                customize: function(doc) {
      doc.defaultStyle.fontSize = 10; //<-- set fontsize to 16 instead of 10 
					  
   }  
            },
			{
                extend: 'excelHtml5'},
			
			{
                extend: 'copyHtml5'}
			
			
		]
    } );	
	
} );
		


	
						
</script>